ErrorPage (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.view, class: ErrorPage

Package org.apache.hadoop.yarn.webapp.view

# Class ErrorPage

java.lang.Object
org.apache.hadoop.yarn.webapp.View
org.apache.hadoop.yarn.webapp.view.TextView
org.apache.hadoop.yarn.webapp.view.HtmlPage
org.apache.hadoop.yarn.webapp.view.ErrorPage

All Implemented Interfaces:
  `Params`

@LimitedPrivate({"YARN","MapReduce"}) public class ErrorPage extends HtmlPage
A jquery-ui themeable error page

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `HtmlPage.__, HtmlPage.Page`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

  `View.ViewContext`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `DOCTYPE`

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

  `LOG`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorPage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `errorDetails()`
  `protected void`
  `render(Hamlet.HTML<HtmlPage.__> html)`
  Render the HTML page.
  `static String`
  `toStackTrace(Throwable error, int cutoff)`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlPage

  `render`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

  `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

  `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root, root_url, set, setTitle, setTitle, status, url`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorPage

    public ErrorPage()

- ## Method Details

  - ### render

    protected void render(Hamlet.HTML<HtmlPage.__> html)
    Description copied from class: `HtmlPage`
    Render the HTML page.
    Specified by:
      `render` in class `HtmlPage`
    Parameters:
      `html` - the page to render data to.

  - ### errorDetails

    protected String errorDetails()

  - ### toStackTrace

    public static String toStackTrace(Throwable error, int cutoff)